Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000199bareos-core[All Projects] file daemonpublic2013-06-28 16:342015-03-25 19:19
Reporterpstorz 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version13.2.2 
Target Version13.2.2Fixed in Version13.2.2 
Summary0000199: Plugin to do backup of Microsoft Sql Server (mssql) server
DescriptionAs the mssql server is very broadly used, we need a plugin to backup
a mssql server.
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Files

- Relationships

-  Notes
(0000676)
mvwieringen (developer)
2013-09-27 17:17

Fix committed to bareos master branch with changesetid 1148.
(0000687)
mvwieringen (developer)
2013-10-06 11:29

Fix committed to bareos bareos-13.2 branch with changesetid 1200.
(0000690)
mvwieringen (developer)
2013-10-06 12:04

Fix committed to bareos bareos-13.2 branch with changesetid 1196.
(0001416)
mvwieringen (developer)
2015-03-25 16:51

Fix committed to bareos2015 bareos-14.2 branch with changesetid 5031.
(0001570)
joergs (administrator)
2015-03-25 19:19

Due to the reimport of the Github repository to bugs.bareos.org, the status of some tickets have been changed. These tickets will be closed again.
Sorry for the noise.

- Related Changesets
bareos: master 3559671a
Timestamp: 2013-09-27 12:22:44
Author: mvwieringen
Ported: N/A
Details ] Diff ]
Plugin to do backup of Microsoft Sql Server (mssql) server

Implement a native backup plugin for MSSQL based on the
Virtual Device Interface (VDI) which uses the native MSSQL
backup tooling but instead of writing it to a tape or disk
directly it will save it to a so called virtual device from
which the plugin reads the data on restore we restore to
a virtual device and the native MSSQL software recovers
the database from that.

This is based on the mssql-fd found on sourceforge from 2010
but with a lot of changes to adhere to the Bareos coding style
and to be able to compile it with mingw instead of Visual C.

We also rewrote it to use pthreads instead of the windows threading,
and the whole code is made somewhat more modular using inline
functions which handle certain logic operations.

We also implemented the ability to overwrite the plugin options
which can be passed in via the Plugin Options method from the
restore menu.

Currently we allow on restore to restore to a so called
Point In Time (PIT) using the normal MSSQL STOPBEFORMARK, STOPAT
and STOPATMARK which allow you to rollback to a certain time
or specific LSN (Log Sequence Number). This should all make
sense to MSSQL DBA's who are used to using the native backup
tooling to make disk backups.

Fixes 0000199: Plugin to do backup of Microsoft Sql Server (mssql) server
mod - src/win32/plugins/filed/Makefile Diff ] File ]
add - src/win32/plugins/filed/mssqlvdi-fd.c Diff ] File ]
bareos: bareos-13.2 058f0619
Timestamp: 2013-09-27 12:22:44
Author: mvwieringen
Ported: N/A
Details ] Diff ]
Plugin to do backup of Microsoft Sql Server (mssql) server

Implement a native backup plugin for MSSQL based on the
Virtual Device Interface (VDI) which uses the native MSSQL
backup tooling but instead of writing it to a tape or disk
directly it will save it to a so called virtual device from
which the plugin reads the data on restore we restore to
a virtual device and the native MSSQL software recovers
the database from that.

This is based on the mssql-fd found on sourceforge from 2010
but with a lot of changes to adhere to the Bareos coding style
and to be able to compile it with mingw instead of Visual C.

We also rewrote it to use pthreads instead of the windows threading,
and the whole code is made somewhat more modular using inline
functions which handle certain logic operations.

We also implemented the ability to overwrite the plugin options
which can be passed in via the Plugin Options method from the
restore menu.

Currently we allow on restore to restore to a so called
Point In Time (PIT) using the normal MSSQL STOPBEFORMARK, STOPAT
and STOPATMARK which allow you to rollback to a certain time
or specific LSN (Log Sequence Number). This should all make
sense to MSSQL DBA's who are used to using the native backup
tooling to make disk backups.

Fixes 0000199: Plugin to do backup of Microsoft Sql Server (mssql) server
mod - src/win32/plugins/filed/Makefile Diff ] File ]
add - src/win32/plugins/filed/mssqlvdi-fd.c Diff ] File ]
bareos: master f4330e39
Timestamp: 2013-09-27 12:22:45
Author: mvwieringen
Ported: N/A
Details ] Diff ]
Add the new mssqlvdi plugin to the windows installer.

Fixes 0000199: Plugin to do backup of Microsoft Sql Server (mssql) server
mod - platforms/win32/winbareos-nsi.spec Diff ] File ]
mod - platforms/win32/winbareos.nsi Diff ] File ]
mod - platforms/win32/winbareos32.spec Diff ] File ]
mod - platforms/win32/winbareos64.spec Diff ] File ]
bareos: bareos-13.2 e14ae198
Timestamp: 2013-09-27 12:22:45
Author: mvwieringen
Ported: N/A
Details ] Diff ]
Add the new mssqlvdi plugin to the windows installer.

Fixes 0000199: Plugin to do backup of Microsoft Sql Server (mssql) server
mod - platforms/win32/winbareos-nsi.spec Diff ] File ]
mod - platforms/win32/winbareos.nsi Diff ] File ]
mod - platforms/win32/winbareos32.spec Diff ] File ]
mod - platforms/win32/winbareos64.spec Diff ] File ]
bareos2015: bareos-13.2 b70edf45
Timestamp: 2013-09-27 14:22:44
Author: mvwieringen
Ported: N/A
Details ] Diff ]
Plugin to do backup of Microsoft Sql Server (mssql) server

Implement a native backup plugin for MSSQL based on the
Virtual Device Interface (VDI) which uses the native MSSQL
backup tooling but instead of writing it to a tape or disk
directly it will save it to a so called virtual device from
which the plugin reads the data on restore we restore to
a virtual device and the native MSSQL software recovers
the database from that.

This is based on the mssql-fd found on sourceforge from 2010
but with a lot of changes to adhere to the Bareos coding style
and to be able to compile it with mingw instead of Visual C.

We also rewrote it to use pthreads instead of the windows threading,
and the whole code is made somewhat more modular using inline
functions which handle certain logic operations.

We also implemented the ability to overwrite the plugin options
which can be passed in via the Plugin Options method from the
restore menu.

Currently we allow on restore to restore to a so called
Point In Time (PIT) using the normal MSSQL STOPBEFORMARK, STOPAT
and STOPATMARK which allow you to rollback to a certain time
or specific LSN (Log Sequence Number). This should all make
sense to MSSQL DBA's who are used to using the native backup
tooling to make disk backups.

Fixes 0000199: Plugin to do backup of Microsoft Sql Server (mssql) server
mod - src/win32/plugins/filed/Makefile Diff ] File ]
add - src/win32/plugins/filed/mssqlvdi-fd.c Diff ] File ]
bareos2015: bareos-14.2 4bc48ab0
Timestamp: 2013-09-27 14:22:44
Author: mvwieringen
Ported: N/A
Details ] Diff ]
Plugin to do backup of Microsoft Sql Server (mssql) server

Implement a native backup plugin for MSSQL based on the
Virtual Device Interface (VDI) which uses the native MSSQL
backup tooling but instead of writing it to a tape or disk
directly it will save it to a so called virtual device from
which the plugin reads the data on restore we restore to
a virtual device and the native MSSQL software recovers
the database from that.

This is based on the mssql-fd found on sourceforge from 2010
but with a lot of changes to adhere to the Bareos coding style
and to be able to compile it with mingw instead of Visual C.

We also rewrote it to use pthreads instead of the windows threading,
and the whole code is made somewhat more modular using inline
functions which handle certain logic operations.

We also implemented the ability to overwrite the plugin options
which can be passed in via the Plugin Options method from the
restore menu.

Currently we allow on restore to restore to a so called
Point In Time (PIT) using the normal MSSQL STOPBEFORMARK, STOPAT
and STOPATMARK which allow you to rollback to a certain time
or specific LSN (Log Sequence Number). This should all make
sense to MSSQL DBA's who are used to using the native backup
tooling to make disk backups.

Fixes 0000199: Plugin to do backup of Microsoft Sql Server (mssql) server
mod - src/win32/plugins/filed/Makefile Diff ] File ]
add - src/win32/plugins/filed/mssqlvdi-fd.c Diff ] File ]
bareos2015: bareos-13.2 8ca972ef
Timestamp: 2013-09-27 14:22:45
Author: mvwieringen
Ported: N/A
Details ] Diff ]
Add the new mssqlvdi plugin to the windows installer.

Fixes 0000199: Plugin to do backup of Microsoft Sql Server (mssql) server
mod - platforms/win32/winbareos-nsi.spec Diff ] File ]
mod - platforms/win32/winbareos.nsi Diff ] File ]
mod - platforms/win32/winbareos32.spec Diff ] File ]
mod - platforms/win32/winbareos64.spec Diff ] File ]
bareos2015: bareos-14.2 8f9ecc3d
Timestamp: 2013-09-27 14:22:45
Author: mvwieringen
Ported: N/A
Details ] Diff ]
Add the new mssqlvdi plugin to the windows installer.

Fixes 0000199: Plugin to do backup of Microsoft Sql Server (mssql) server
mod - platforms/win32/winbareos-nsi.spec Diff ] File ]
mod - platforms/win32/winbareos.nsi Diff ] File ]
mod - platforms/win32/winbareos32.spec Diff ] File ]
mod - platforms/win32/winbareos64.spec Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-06-28 16:34 pstorz New Issue
2013-06-28 16:35 pstorz Description Updated View Revisions
2013-07-05 16:15 maik Status new => acknowledged
2013-07-05 16:15 maik Severity minor => feature
2013-07-05 16:15 maik Target Version => 13.4.0
2013-09-25 22:00 mvwieringen Summary Plugin do backup Microsoft Sql Server (mssql) server => Plugin to do backup of Microsoft Sql Server (mssql) server
2013-09-27 17:17 mvwieringen Changeset attached => bareos master 3559671a
2013-09-27 17:17 mvwieringen Changeset attached => bareos master f4330e39
2013-09-27 17:17 mvwieringen Note Added: 0000676
2013-09-27 17:17 mvwieringen Assigned To => mvwieringen
2013-09-27 17:17 mvwieringen Status acknowledged => resolved
2013-09-27 17:17 mvwieringen Resolution open => fixed
2013-10-06 11:29 mvwieringen Changeset attached => bareos bareos-13.2 058f0619
2013-10-06 11:29 mvwieringen Note Added: 0000687
2013-10-06 12:04 mvwieringen Changeset attached => bareos bareos-13.2 e14ae198
2013-10-06 12:04 mvwieringen Note Added: 0000690
2013-10-08 09:13 mvwieringen adm Product Version => 13.2.2
2013-10-08 09:13 mvwieringen adm Fixed in Version => 13.2.2
2013-10-08 09:13 mvwieringen adm Target Version 13.4.0 => 13.2.2
2014-05-16 17:38 mvwieringen adm Assigned To mvwieringen =>
2014-05-16 17:38 mvwieringen adm Status resolved => closed
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-13.2 b70edf45
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-13.2 8ca972ef
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-14.2 8f9ecc3d
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-14.2 4bc48ab0
2015-03-25 16:51 mvwieringen Note Added: 0001416
2015-03-25 16:51 mvwieringen Status closed => resolved
2015-03-25 19:19 joergs Note Added: 0001570
2015-03-25 19:19 joergs Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker